# AttributeHandleValuePairSet Class Reference

`#include <RTItypes.hh>`

List of all members.

## Public Member Functions
virtual | ~AttributeHandleValuePairSet ()
virtual ULong | size () const =0
virtual Handle | getHandle (ULong) const =0 throw (ArrayIndexOutOfBounds)
virtual ULong | getValueLength (ULong) const =0 throw (ArrayIndexOutOfBounds)
virtual void | getValue (ULong, char *, ULong &) const =0 throw (ArrayIndexOutOfBounds)
virtual char * | getValuePointer (ULong, ULong &) const =0 throw (ArrayIndexOutOfBounds)
virtual TransportType | getTransportType (ULong) const =0 throw (InvalidHandleValuePairSetContext)
virtual OrderType | getOrderType (ULong) const =0 throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext)
virtual Region * | getRegion (ULong) const =0 throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext)
virtual void | add (Handle, const char *, ULong)=0 throw (ValueLengthExceeded, ValueCountExceeded)
virtual void | remove (Handle h)=0 throw (ArrayIndexOutOfBounds)
virtual void | moveFrom (const AttributeHandleValuePairSet &, ULong &)=0 throw (ValueCountExceeded, ArrayIndexOutOfBounds)
virtual void | empty ()=0
virtual ULong | start () const =0
virtual ULong | valid (ULong i) const =0
virtual ULong | next (ULong i) const =0

## Detailed Description

Definition at line 144 of file RTItypes.hh.

## Constructor & Destructor Documentation

virtual ~AttributeHandleValuePairSet | ( |  | ) | `[inline, virtual]`

Definition at line 147 of file RTItypes.hh.

## Member Function Documentation

virtual ULong size | ( |  | ) | const`[pure virtual]`

virtual Handle getHandle | ( | ULong |  | ) | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual ULong getValueLength | ( | ULong |  | ) | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual void getValue | ( | ULong | ,
|  | char * | ,
|  | ULong & |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual char* getValuePointer | ( | ULong | ,
|  | ULong & |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual TransportType getTransportType | ( | ULong |  | ) | const throw (InvalidHandleValuePairSetContext)`[pure virtual]`

virtual OrderType getOrderType | ( | ULong |  | ) | const throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext)`[pure virtual]`

virtual Region* getRegion | ( | ULong |  | ) | const throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext)`[pure virtual]`

virtual void add | ( | Handle | ,
|  | const char * | ,
|  | ULong |  |
| ) |  |  | throw (ValueLengthExceeded, ValueCountExceeded)`[pure virtual]`

virtual void remove | ( | Handle | h | ) | throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual void moveFrom | ( | const AttributeHandleValuePairSet & | ,
|  | ULong & |  |
| ) |  |  | throw (ValueCountExceeded, ArrayIndexOutOfBounds)`[pure virtual]`

virtual void empty | ( |  | ) | `[pure virtual]`

virtual ULong start | ( |  | ) | const`[pure virtual]`

virtual ULong valid | ( | ULong | i | ) | const`[pure virtual]`

virtual ULong next | ( | ULong | i | ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- RTItypes.hh